## com.baidubce.services.lss.model
Class LivePreset

    java.lang.Object
      com.baidubce.services.lss.model.LivePreset

    public class LivePreset

extends Object

Constructor Summary
`LivePreset()`

Method Summary
`Audio` `getAudio()` 音频输出信息的集合
`String` `getCreateTime()` 创建时间
`String` `getDescription()` 模板的描述
`Boolean` `getForwardOnly()` 是否仅进行直播转发，保持输入流分辨率与码率不变
`Hls` `getHls()` hls输出参数
`String` `getName()` 直播模板名称
`Rtmp` `getRtmp()` rtmp参数
`LiveThumbnail` `getThumbnail()` 缩略图输出信息的集合
`Video` `getVideo()` 视频输出信息的集合
`Watermarks` `getWatermarks()` 直播水印相关参数
`void` `setAudio(Audio audio)`
`void` `setCreateTime(String createTime)`
`void` `setDescription(String description)`
`void` `setForwardOnly(Boolean forwardOnly)`
`void` `setHls(Hls hls)`
`void` `setName(String name)`
`void` `setRtmp(Rtmp rtmp)`
`void` `setThumbnail(LiveThumbnail thumbnail)`
`void` `setVideo(Video video)`
`void` `setWatermarks(Watermarks watermarks)`
`String` `toString()`
`LivePreset` `withAudio(Audio audio)`
`LivePreset` `withCreateTime(String createTime)`
`LivePreset` `withDescription(String description)`
`LivePreset` `withForwardOnly(Boolean forwardOnly)`
`LivePreset` `withHls(Hls hls)`
`LivePreset` `withName(String name)`
`LivePreset` `withRtmp(Rtmp rtmp)`
`LivePreset` `withThumbnail(LiveThumbnail thumbnail)`
`LivePreset` `withVideo(Video video)`
`LivePreset` `withWatermarks(Watermarks watermarks)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LivePreset

    public LivePreset()

Method Detail

### getName

    public String getName()

  直播模板名称

### setName

    public void setName(String name)

### withName

    public LivePreset withName(String name)

### getDescription

    public String getDescription()

  模板的描述

### setDescription

    public void setDescription(String description)

### withDescription

    public LivePreset withDescription(String description)

### getForwardOnly

    public Boolean getForwardOnly()

  是否仅进行直播转发，保持输入流分辨率与码率不变

### setForwardOnly

    public void setForwardOnly(Boolean forwardOnly)

### withForwardOnly

    public LivePreset withForwardOnly(Boolean forwardOnly)

### getAudio

    public Audio getAudio()

  音频输出信息的集合

### setAudio

    public void setAudio(Audio audio)

### withAudio

    public LivePreset withAudio(Audio audio)

### getVideo

    public Video getVideo()

  视频输出信息的集合

### setVideo

    public void setVideo(Video video)

### withVideo

    public LivePreset withVideo(Video video)

### getHls

    public Hls getHls()

  hls输出参数

### setHls

    public void setHls(Hls hls)

### withHls

    public LivePreset withHls(Hls hls)

### getRtmp

    public Rtmp getRtmp()

  rtmp参数

### setRtmp

    public void setRtmp(Rtmp rtmp)

### withRtmp

    public LivePreset withRtmp(Rtmp rtmp)

### getWatermarks

    public Watermarks getWatermarks()

  直播水印相关参数

### setWatermarks

    public void setWatermarks(Watermarks watermarks)

### withWatermarks

    public LivePreset withWatermarks(Watermarks watermarks)

### getCreateTime

    public String getCreateTime()

  创建时间

### setCreateTime

    public void setCreateTime(String createTime)

### withCreateTime

    public LivePreset withCreateTime(String createTime)

### getThumbnail

    public LiveThumbnail getThumbnail()

  缩略图输出信息的集合

### setThumbnail

    public void setThumbnail(LiveThumbnail thumbnail)

### withThumbnail

    public LivePreset withThumbnail(LiveThumbnail thumbnail)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.